// TODO: Would be nice if I didn't have to specify a function name but it looks like concat_idents!() cannot be used to create an ident.
// TODO: Find out if proc macros could do this easier (for example, parsing out the field type)
macro_rules! simple_getter {
    ($(#[$meta:meta])* $funcname: ident, $field:ident, $fieldtype:ty) => {
        $(#[$meta])*
        pub fn $funcname(&self) -> $fieldtype {
            self.$field
        }
    };
}
pub(crate) use simple_getter;

macro_rules! ref_getter {
    ($(#[$meta:meta])* $funcname: ident, $field:ident, $fieldtype:ty) => {
        $(#[$meta])*
        pub fn $funcname(&self) -> &$fieldtype {
            &self.$field
        }
    };
}
pub(crate) use ref_getter;
